View Issue Details

IDProjectCategoryView StatusLast Update
0001471SymmetricDSBugpublic2014-02-02 20:53
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.10 
Target Version3.5.12Fixed in Version3.5.12 
Summary0001471: Reload from TABLE_RELOAD_REQUEST does not support deletes
DescriptionThe TABLE_RELOAD_REQUEST table allows users to request an initial load of a single table. If the initial.load.delete.first is true, it should send a SQL event to clear the table before loading it. The parameter is working with the initial load but not TABLE_RELOAD_REQUEST.
Steps To Reproduce1. Enable initial.load.delete.first parameter to true
2. Send TABLE_RELOAD_REQUEST
3. Observe that SQL event deletes are missing
TagsNo tags attached.

Activities

elong

2013-11-25 13:04

developer  

symmetric-patch-3.5.10-defect-0001471.zip (25,248 bytes)

elong

2013-11-25 13:08

developer   ~0000396

Will be fixed in 3.5.11 release. Attached patch for 3.5.10, which can be unzipped to "patches" folder.

Related Changesets

SymmetricDS: master 68d9bb4b

2013-11-25 10:55:50

erilong

Details Diff
0001471: fix using the RELOAD_DELETE_STMT column on the TABLE_RELOAD_REQUEST table. fix putting the delete on the reload channel.
0001471
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

SymmetricDS: master a6415924

2013-11-25 11:18:50

erilong

Details Diff
0001471: honor the initial.load.delete.first parameter for table_reload_request
0001471
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2013-11-22 10:07 elong New Issue
2013-11-22 10:07 elong Status new => assigned
2013-11-22 10:07 elong Assigned To => elong
2013-11-25 13:04 elong File Added: symmetric-patch-3.5.10-defect-0001471.zip
2013-11-25 13:08 elong Note Added: 0000396
2013-11-25 13:09 elong Status assigned => closed
2013-11-25 13:09 elong Resolution open => fixed
2013-11-25 13:09 elong Fixed in Version => 3.5.12
2013-11-25 13:15 admin Status closed => resolved
2013-12-18 10:55 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7783
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7784
2015-07-30 21:49 Changeset attached => SymmetricDS master a6415924
2015-07-30 21:49 Changeset attached => SymmetricDS master 68d9bb4b